### Functions

## Checks if all input values are correct and returns the LDAP commands which should be executed.

    checkSelfServiceOptions(string $scope, string $fields, array $attributes, boolean $passwordChangeOnly, array $readOnlyFields) : array

### Parameters

#### $scope

`string`

account type

#### $fields

`string`

input fields (array(<moduleName> => array(<field1>, <field2>, ...)))

#### $attributes

`array`

LDAP attributes

#### $passwordChangeOnly

`boolean`

indicates that the user is only allowed to change his password and no LDAP content is readable

#### $readOnlyFields

`array`

list of read-only fields

### Returns

`array`messages and LDAP commands (array('messages' => array(), 'add' => array(), 'del' => array(), 'mod' => array()))

## Checks if the self service settings are valid

    checkSelfServiceSettings(string $scope, array $options, \selfServiceProfile $profile) : array

### Parameters

#### $scope

`string`

account type

#### $options

`array`

hash array containing all options (name => array(...))

#### $profile

`\selfServiceProfile`

profile

### Returns

`array`list of error messages

## Returns the field settings for the self service.

    getSelfServiceFieldSettings(string $scope) : array

### Parameters

#### $scope

`string`

account type

### Returns

`array`settings

## Returns meta HTML code for each self service field.

    getSelfServiceOptions(string $scope, array $fields, array $attributes, boolean $passwordChangeOnly, array $readOnlyFields) : array

### Parameters

#### $scope

`string`

account type

#### $fields

`array`

input fields (array(<moduleName> => array(<field1>, <field2>, ...)))

#### $attributes

`array`

LDAP attributes (attribute names in lower case)

#### $passwordChangeOnly

`boolean`

indicates that the user is only allowed to change his password and no LDAP content is readable

#### $readOnlyFields

`array`

list of read-only fields

### Returns

`array`meta HTML code (array(<moduleName> => htmlTableRow))

## Returns a list of all available self service profiles (without .conf)

    getSelfServiceProfiles() : array

### Returns

`array`profile names (array(<account type> => array(<profile1>, <profile2>, ...)))

## Returns a list of possible search attributes for the self service.

    getSelfServiceSearchAttributes(string $scope) : array

### Parameters

#### $scope

`string`

account type

### Returns

`array`attributes

## Returns a hash array (module name => elements) of all module options for the configuration page.

    getSelfServiceSettings(string $scope, \selfServiceProfile $profile) : array

### Parameters

#### $scope

`string`

account type

#### $profile

`\selfServiceProfile`

currently edited profile

### Returns

`array`configuration options

## Returns if this is a LAM Pro installation.

    isLAMProVersion() : boolean

### Returns

`boolean`LAM Pro installation

## Checks if a service profile is writable.

    isSelfServiceProfileWritable(string $name, string $scope) : boolean

### Parameters

#### $name

`string`

profile name

#### $scope

`string`

account type

### Returns

`boolean`true if file is writable

## Loads all settings of a self service profile.

    loadSelfServiceProfile(string $name, string $scope) : \selfServiceProfile

### Parameters

#### $name

`string`

profile name

#### $scope

`string`

account type

### Returns

`\selfServiceProfile`true if file was readable

## Saves a self service profile.

    saveSelfServiceProfile(string $name, string $scope, \selfServiceProfile $profile) : boolean

File is created, if needed

### Parameters

#### $name

`string`

name of the account profile

#### $scope

`string`

account type

#### $profile

`\selfServiceProfile`

self service profile

### Returns

`boolean`true, if saving succeeded

### Classes and interfaces

# selfServiceProfile¶

Includes all settings of a self service profile.

« More »